﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Reflection;
using Infragistics.Windows.Themes;

namespace TestThemePack.ResourceSets.OrangePeel
{
    public class Microsoft : MicrosoftResourceSets<Microsoft.Locator>
    {
        public class Locator : ResourceSetLocator
        {
            public override Assembly Assembly { get { return this.GetType().Assembly; } }
            public override string Theme { get { return "OrangePeel"; } }
            public override string Grouping { get { return "Microsoft"; } }
            public override string ResourcePath { get { return @"ResourceSets\Microsoft\Microsoft_OrangePeel.xaml"; } }
        }

        private static Microsoft g_Instance;

        public static Microsoft Instance
        {
            get
            {
                if (g_Instance == null)
                    g_Instance = new Microsoft();
                return g_Instance;
            }
        }
    }
}
